package com.unis.module.coding.controller.admin.task.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.unis.framework.excel.core.annotations.DictFormat;
import com.unis.framework.excel.core.convert.DictConvert;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Set;

@Schema(description = "APP - 出入库信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TaskCrkxxRespVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "31491")
    private Long id;

    @Schema(description = "粮食品种名称")
    private String lspzmc;

    @Schema(description = "粮食等级编码(SYSTEM_DICT_DATA.LABEL)")
    @ExcelProperty(value = "粮食等级编码(SYSTEM_DICT_DATA.LABEL)", converter = DictConvert.class)
    @DictFormat("system_lsdj")
    private String lsdjbm;

    @Schema(description = "净重(公斤)")
    private BigDecimal jz;

    @Schema(description = "车船号")
    private String cch;

    @Schema(description = "出入库类型(0:出库,1:入库)")
    private Integer crklx;

    @Schema(description = "附件多个逗号隔开','(INFRA_FILE.ID)")
    private Set<Long> fileIds;

    @Schema(description = "业务时间")
    private String ywsj;
}